[code] Re: Aargh! Big jump from 7.2 to 7.7 breaks ALL of my lexers!

From: Michael Richter <ttmrichter.att.gmail.com>
Date: Sun, 12 Oct 2014 21:28:33 +0800

Here's a concrete example. The following files work fine in 7.1 (sorry, it
was 7.1 to 7.7, not 7.2) but fail in 7.7 having everything coloured
"default".

mercury.lua: the actual lexer
lexer_tools.lua: a module I cooked up to give me nicer names for common
things
array.m: a sample of Mercury source code that works with the provided lexer
in v7.1 and fails in v7.7.

I skimmed the change log but I couldn't see anything mentioned there that
was a candidate that would break this so thoroughly. A better-skilled pair
of eyes would be appreciated.

On 12 October 2014 21:14, Michael Richter <ttmrichter.att.gmail.com> wrote:

> I had a bunch of lexers that worked perfectly under 7.2 that fail without
> any hint of an error report in 7.7. Can someone point me to the likely
> candidate in five releases worth of changes?
>
> --
> "Perhaps people don't believe this, but throughout all of the discussions
> of entering China our focus has really been what's best for the Chinese
> people. It's not been about our revenue or profit or whatnot."
> --Sergey Brin, demonstrating the emptiness of the "don't be evil" mantra.
>

-- 
"Perhaps people don't believe this, but throughout all of the discussions
of entering China our focus has really been what's best for the Chinese
people. It's not been about our revenue or profit or whatnot."
--Sergey Brin, demonstrating the emptiness of the "don't be evil" mantra.



-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Sun 12 Oct 2014 - 09:28:33 EDT

This archive was generated by hypermail 2.2.0 : Mon 13 Oct 2014 - 06:49:54 EDT